Bug 1476759 - Fedora does not start after installation on Lenovo P51/P71
Fedora does not start after installation on Lenovo P51/P71
Status: NEW
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 07:54 EDT by Oliver Haessler
Modified: 2018-05-03 04:29 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Haessler 2017-07-31 07:54:07 EDT
Description of problem:
After installing Fedora 26 via PXE (inside Red Hat), the notebook reboots but does not start Fedora, but behaves like nothing is installed. This also applies to RHEL 7.3

Version-Release number of selected component (if applicable):
Fedora 26 + RHEL 7.3

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 26 or RHEL 7.3 on a P51
2. reboot after installation

Actual results:
After reboot P51 goes back into the boot device selector, and behaves nothing is installed

Expected results:
Grub with the kernel selection
Comment 1 Oliver Haessler 2017-07-31 07:57:47 EDT
The bios is fully up to date as well:

Package      (ID)     UEFI BIOS (BIOS ID)  ECP (ECP ID)      Rev.  Issue Date
--------------------  -------------------  ---------------   ----  ----------
1.08      (N1UUJ04W)  1.08 (N1UET34W)      1.04 (N1UHT21W)   01    2017/05/31
Comment 2 Benjamin Berg 2017-08-07 07:27:29 EDT
So, AFAICT:
 * grub is installed in the MBR
 * boot partition (ext4) is marked bootable

Now, what happens is that the laptop simply fails to boot from the NVME. i.e. the screen stays blank and it then returns to the chooser after a brief period without displaying anything.
Comment 3 Fedora End Of Life 2018-05-03 04:29:40 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.